Bug 507576 - strace fails to build on ARM
strace fails to build on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
arm9 Linux
low Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2009-06-23 07:15 EDT by Kedar Sovani
Modified: 2009-11-12 21:34 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.5.19-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 21:33:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (5.47 KB, patch)
2009-06-23 07:16 EDT, Kedar Sovani
no flags Details | Diff

  None (edit)
Description Kedar Sovani 2009-06-23 07:15:17 EDT
Description of problem:

Arm syscallent.h support is not available in strace. I think this support is available in upstream though.
Comment 1 Kedar Sovani 2009-06-23 07:16:24 EDT
Created attachment 349078 [details]
proposed fix

please pickup new upstream or apply the following patch. Thanks.
Comment 2 Dmitry V. Levin 2009-09-18 20:10:33 EDT
This issue was fixed in upstream git, see http://strace.git.sourceforge.net/git/gitweb.cgi?p=strace/strace;h=v4.5.18-38-g06bfe26
Comment 3 Fedora Update System 2009-10-21 14:08:57 EDT
strace-4.5.19-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/strace-4.5.19-1.fc10
Comment 4 Fedora Update System 2009-10-21 14:09:42 EDT
strace-4.5.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/strace-4.5.19-1.fc11
Comment 5 Fedora Update System 2009-10-27 02:32:46 EDT
strace-4.5.19-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update strace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10733
Comment 6 Fedora Update System 2009-10-27 03:13:31 EDT
strace-4.5.19-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update strace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10843
Comment 7 Kedar Sovani 2009-10-27 09:16:38 EDT
Ok, I could build the latest strace version for ARM architecture.

http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=20574
Comment 8 Fedora Update System 2009-11-12 21:32:39 EST
strace-4.5.19-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-11-12 21:34:05 EST
strace-4.5.19-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.